WireMock
action Wiremock

# global_fixed_delay

Adds a fixed delay to all mappings

Run it now
View details

Type | action
Module | chaoswm.actions
Name | global_fixed_delay
Return | integer

Usage

JSON

    {
      "name": "global-fixed-delay",
      "type": "action",
      "provider": {
        "type": "python",
        "module": "chaoswm.actions",
        "func": "global_fixed_delay"
      }
    }

YAML

    name: global-fixed-delay
    provider:
      func: global_fixed_delay
      module: chaoswm.actions
      type: python
    type: action

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
fixedDelay | integer | 0 | No | Fixed Delay | Delay to apply globally

Signature

    def global_fixed_delay(fixedDelay: int = 0,
                           configuration: Dict[str, Dict[str, str]] = None) -> int:
        pass

## Related starters

- WireMock
  utils Wiremock

  ## `get_wm_params`

  Calculate WireMock parameters
- WireMock
  action Wiremock

  ## `add_mappings`

  Adds more mappings to wiremock
- WireMock
  probe Wiremock

  ## `server_running`

  Tells if the WireMock server is running